Unity SDK does not work with Unity 2019.3 and iOS

mhero
New Member
2 0 1

In Unity 2019.3 changes were made under iOS that affect all plugins written with Swift. 


"With the iOS change to making all the Unity code now be in the UnityFramework target it's added some new hurdles for using swift to write a plugin to expose iOS functionality to the c# side.

Previously you could create a bridging header to bridge swift and objective-c/c++ so that you can have your swift code and then c wrapper to expose to c#. Unfortunately frameworks are not allowed to have bridging headers."


https://forum.unity.com/threads/swift-ios-native-plugins-hurdles.802623/


https://forum.unity.com/threads/build-ios-umbrella-error.838879/?_ga=2.251789065.1455154538.15875605...

This means that if we switched our app to Unity 2019.3, Shopify would no longer work, unless there is no fix from your side.

As you can see here, other developers do the same with the current Unity version.
https://github.com/Shopify/unity-buy-sdk/issues/596


When can we expect an update of your site? Or is there someone who has already got it running with Unity 2019.3?





mhero
New Member
2 0 1

Is there no help on the subject?

0 Likes